[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[Xen-changelog] Allow test.sh to take arg: name of test to start with



# HG changeset patch
# User cl349@xxxxxxxxxxxxxxxxxxxx
# Node ID 2ae19537f61578d7d81fe66826ea4b632878555f
# Parent  6f4d500001799c44be2f0267017ee409da9ae2ec
Allow test.sh to take arg: name of test to start with
Signed-off-by: Rusty Russel <rusty@xxxxxxxxxxxxxxx>
Signed-off-by: Christian Limpach <Christian.Limpach@xxxxxxxxxxxx>

diff -r 6f4d50000179 -r 2ae19537f615 tools/xenstore/testsuite/test.sh
--- a/tools/xenstore/testsuite/test.sh  Tue Jul 26 15:21:00 2005
+++ b/tools/xenstore/testsuite/test.sh  Tue Jul 26 15:21:32 2005
@@ -33,7 +33,10 @@
     fi
 }
 
+MATCH=${1:-"*"}
 for f in testsuite/[0-9]*.sh; do
+    case `basename $f` in $MATCH) RUN=1;; esac
+    [ -n "$RUN" ] || continue
     if run_test $f; then
        echo Test $f passed...
     else

_______________________________________________
Xen-changelog mailing list
Xen-changelog@xxxxxxxxxxxxxxxxxxx
http://lists.xensource.com/xen-changelog


 


Rackspace

Lists.xenproject.org is hosted with RackSpace, monitoring our
servers 24x7x365 and backed by RackSpace's Fanatical Support®.